// zDlgGameOptions.cpp : implementation file
//

#include "stdafx.h"
#include "zGoGUI.h"
#include "zDlgGameOptions.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


extern zMessageBox m_messageBox;

/////////////////////////////////////////////////////////////////////////////
// zDlgGameOptions dialog


zDlgGameOptions::zDlgGameOptions(CWnd* pParent /*=NULL*/)
	: CDialog(zDlgGameOptions::IDD, pParent)
{
	//{{AFX_DATA_INIT(zDlgGameOptions)
	m_boardSize = 19;
	m_handicap = 0;
	m_timer = 3600;
	m_komi = 5.5f;
	m_computerPlay = EMPTY;	
	//}}AFX_DATA_INIT
}


void zDlgGameOptions::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(zDlgGameOptions)
	DDX_Control(pDX, IDOK, m_ok);
	DDX_Control(pDX, IDCANCEL, m_cancel);
	DDX_Text(pDX, IDC_EDIT_BOARDSIZE, m_boardSize);
	DDX_Text(pDX, IDC_EDIT_HANDICAP, m_handicap);
	DDX_Text(pDX, IDC_EDIT_TIMER, m_timer);
	DDX_Text(pDX, IDC_EDIT_KOMI, m_komi);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(zDlgGameOptions, CDialog)
	//{{AFX_MSG_MAP(zDlgGameOptions)
	ON_BN_CLICKED(IDC_RADIO_BLACK, OnRadioBlack)
	ON_BN_CLICKED(IDC_RADIO_NONE, OnRadioNone)
	ON_BN_CLICKED(IDC_RADIO_WHITE, OnRadioWhite)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// zDlgGameOptions message handlers

void zDlgGameOptions::LoadOption(zGoOption *_option)
{
	option = _option;
	m_boardSize = option->board_size;
	m_computerPlay = option->computerPlay;
	m_handicap = option->handicap;
	m_komi = option->komi;
	m_timer = option->timer;
	UpdateData(FALSE);
}

void zDlgGameOptions::OnOK() 
{
	CDialog::OnOK();
	UpdateData(TRUE);
}

void zDlgGameOptions::getOption(zGoOption *_option)
{
	_option->board_size = m_boardSize;
	_option->computerPlay = m_computerPlay;
	_option->handicap = m_handicap;
	_option->komi = m_komi;
	_option->timer = m_timer;
}

void zDlgGameOptions::show(zGoOption *_option)
{
	LoadOption(_option);
	ShowWindow(TRUE);
	//DoModal();
}

void zDlgGameOptions::OnCancel() 
{
	//LoadOption(option);
	EndDialog(IDNO);
}

void zDlgGameOptions::OnRadioBlack() 
{
	m_computerPlay = BLACK;	
}

void zDlgGameOptions::OnRadioNone() 
{
	m_computerPlay = EMPTY;	
}

void zDlgGameOptions::OnRadioWhite() 
{
	m_computerPlay = WHITE;	
}
